Follow

What are LearnBop's Technical Requirements?

LearnBop is a cloud based online tutoring system.

1. We officially support the latest versions of Chrome (v44), IE (v11), Safari (v8), and FireFox (v39) on desktop Apple and Windows devices plus the previous two versions of Chrome and FireFox, and IE 10. We do not support IE9

  • For students we do support the iPad Safari browser (iOS 7 and higher)
  • We recommend that teachers use LearnBop on desktop / laptop computers.

2. Stable broadband internet is required to effectively use our system.

3. All data is transferred over HTTP(S) and rendered via HTML without special plugin requirements.

4. Videos are hosted on leading 3rd party media hosts.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments


Powered by Zendesk